aWhere Manual
DevelopAPIcore-services

API keys

API keys. The ones under `/api/profile` are the signed-in user’s own, and the ones under `/api/admin` are the site’s.

Find API keys (GET)

GET
/api/admin/credential/api-key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Query Parameters

keyword?string

Words to look for.

query?string

A filter, as a JSON object.

select?string

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

Default10
sort?string

The order, as a JSON object of field names to 1 or -1.

Response Body

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X GET "https://platform.example.com/api/admin/credential/api-key" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

Find API keys (POST)

POST
/api/admin/credential/api-key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
keyword?string

Words to look for.

query?

A filter, as a JSON object.

select?

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

Default10
sort?

The order, as a JSON object of field names to 1 or -1.

Response Body

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X POST "https://platform.example.com/api/admin/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "keyword": "string",  "query": {},  "select": {}}'
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

Create an API key (PUT)

PUT
/api/admin/credential/api-key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
Defaulttrue
props?
extendedProps?

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "restrictionType": "..."}'
"string"

Read an API key (GET)

GET
/api/admin/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Query Parameters

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
Defaulttrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X GET "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

Read an API key (POST)

POST
/api/admin/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Request Body

application/json
  1. body
select?

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
Defaulttrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X POST "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "select": {}}'
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}
DELETE
/api/admin/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Response Body

The answer.

response?stringapplication/json

The id.

curl -X DELETE "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
"string"

Change an API key (PUT)

PUT
/api/admin/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Request Body

application/json
  1. body
name?string
description?string
restrictionType?unknown
scope?unknown
deletable?unknown
Defaulttrue
props?
extendedProps?

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/admin/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "restrictionType": "..."}'
"string"
GET
/api/admin/credential/api-key/{id}/key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Query Parameters

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The answer.

curl -X GET "https://platform.example.com/api/admin/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
Empty
PUT
/api/admin/credential/api-key/{id}/key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Response Body

The answer.

curl -X PUT "https://platform.example.com/api/admin/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
Empty

Find API keys (GET)

GET
/api/profile/credential/api-key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Query Parameters

keyword?string

Words to look for.

query?string

A filter, as a JSON object.

select?string

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

Default10
sort?string

The order, as a JSON object of field names to 1 or -1.

Response Body

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X GET "https://platform.example.com/api/profile/credential/api-key" \  -H "Authorization: Bearer $TOKEN"
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

Find API keys (POST)

POST
/api/profile/credential/api-key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
keyword?string

Words to look for.

query?

A filter, as a JSON object.

select?

The fields to return, as a JSON object of field names to 1 or 0.

skip?integer

How many to skip.

limit?integer

How many to return; 10 when absent.

Default10
sort?

The order, as a JSON object of field names to 1 or -1.

Response Body

One page, and how many match.

application/json
  1. response
total?integer
data?array<>
curl -X POST "https://platform.example.com/api/profile/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "keyword": "string",  "query": {},  "select": {}}'
{  "total": 0,  "data": [    {      "_id": "string",      "name": "string",      "description": "string",      "restrictionType": null,      "scope": null,      "deletable": true,      "props": null,      "extendedProps": null,      "createdAt": null,      "createdBy": null,      "updatedAt": null,      "updatedBy": null    }  ]}

Create an API key (PUT)

PUT
/api/profile/credential/api-key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Request Body

application/json
  1. body
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
Defaulttrue
props?
extendedProps?

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/profile/credential/api-key" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "restrictionType": "..."}'
"string"

Read an API key (GET)

GET
/api/profile/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Query Parameters

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
Defaulttrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X GET "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}

Read an API key (POST)

POST
/api/profile/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Request Body

application/json
  1. body
select?

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The record.

application/json
  1. response
_id*string
name*string
description?string
restrictionType*unknown
scope?unknown
deletable?unknown
Defaulttrue
props?unknown
extendedProps?unknown
createdAt?unknown
createdBy?unknown
updatedAt?unknown
updatedBy?unknown
curl -X POST "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "select": {}}'
{  "_id": "string",  "name": "string",  "description": "string",  "restrictionType": null,  "scope": null,  "deletable": true,  "props": null,  "extendedProps": null,  "createdAt": null,  "createdBy": null,  "updatedAt": null,  "updatedBy": null}
DELETE
/api/profile/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Response Body

The answer.

response?stringapplication/json

The id.

curl -X DELETE "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN"
"string"

Change an API key (PUT)

PUT
/api/profile/credential/api-key/{id}

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Request Body

application/json
  1. body
name?string
description?string
restrictionType?unknown
scope?unknown
deletable?unknown
Defaulttrue
props?
extendedProps?

Response Body

The answer.

response?stringapplication/json

The id.

curl -X PUT "https://platform.example.com/api/profile/credential/api-key/$ID" \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json" \  -d '{  "name": "string",  "description": "string",  "restrictionType": "..."}'
"string"
GET
/api/profile/credential/api-key/{id}/key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Query Parameters

select?string

The fields to return, as a JSON object of field names to 1 or 0.

Response Body

The answer.

curl -X GET "https://platform.example.com/api/profile/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
Empty
PUT
/api/profile/credential/api-key/{id}/key

Authorization

headerAuthorizationBearer <token>

An access token of an OAuth client: Authorization: Bearer <token>.

Path Parameters

id*string

The id of the API key.

Response Body

The answer.

curl -X PUT "https://platform.example.com/api/profile/credential/api-key/$ID/key" \  -H "Authorization: Bearer $TOKEN"
Empty